<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\validate\device;


use app\common\validate\BaseValidate;


/**
 * Device验证器
 * Class DeviceValidate
 * @package app\adminapi\validate\device
 */
class DeviceValidate extends BaseValidate
{

     /**
      * 设置校验规则
      * @var string[]
      */
    protected $rule = [
        'id' => 'require',
//        'code' => 'require',
        'name' => 'require',
        'type' => 'require',
        'monitor_type' => 'require',
        'status' => 'require',
        'is_online' => 'require',
    ];


    /**
     * 参数描述
     * @var string[]
     */
    protected $field = [
        'id' => 'id',
        'code' => '设备编码',
        'name' => '设备名称',
        'type' => '设备类型',
        'status' => '设备状态',
        'is_online' => '是否在线',
    ];


    /**
     * @notes 添加场景
     * @return DeviceValidate
     * @author likeadmin
     * @date 2023/11/24 15:30
     */
    public function sceneAdd()
    {
        return $this->only(['code','name','type','status','is_online']);
    }


    /**
     * @notes 编辑场景
     * @return DeviceValidate
     * @author likeadmin
     * @date 2023/11/24 15:30
     */
    public function sceneEdit()
    {
        return $this->only(['id','code','name','type','status','is_online']);
    }


    /**
     * @notes 删除场景
     * @return DeviceValidate
     * @author likeadmin
     * @date 2023/11/24 15:30
     */
    public function sceneDelete()
    {
        return $this->only(['id']);
    }


    /**
     * @notes 详情场景
     * @return DeviceValidate
     * @author likeadmin
     * @date 2023/11/24 15:30
     */
    public function sceneDetail()
    {
        return $this->only(['id']);
    }

    /**
     * @notes 详情场景
     * @return DeviceValidate
     * @author likeadmin
     * @date 2023/11/24 15:30
     */
    public function sceneMonitorData()
    {
        return $this->only(['id', 'monitor_type']);
    }

}