<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\validate\device;


use app\common\validate\BaseValidate;


/**
 * MonitorAlarm验证器
 * Class MonitorAlarmValidate
 * @package app\adminapi\validate\device
 */
class MonitorAlarmValidate extends BaseValidate
{

     /**
      * 设置校验规则
      * @var string[]
      */
    protected $rule = [
        'id' => 'require',
        'device_id' => 'require',
        'type' => 'require',
        'content' => 'require',
        'value' => 'require',
        'solution' => 'require',
    ];


    /**
     * 参数描述
     * @var string[]
     */
    protected $field = [
        'id' => 'id',
        'device_id' => '设备ID',
        'type' => '监测类型',
        'content' => '报警内容',
        'value' => '报警数值',
        'solution' => '解决方案',
    ];


    /**
     * @notes 添加场景
     * @return MonitorAlarmValidate
     * @author likeadmin
     * @date 2023/11/24 16:34
     */
    public function sceneAdd()
    {
        return $this->only(['device_id','type','content','value','solution']);
    }


    /**
     * @notes 编辑场景
     * @return MonitorAlarmValidate
     * @author likeadmin
     * @date 2023/11/24 16:34
     */
    public function sceneEdit()
    {
        return $this->only(['id','device_id','type','content','value','solution']);
    }


    /**
     * @notes 删除场景
     * @return MonitorAlarmValidate
     * @author likeadmin
     * @date 2023/11/24 16:34
     */
    public function sceneDelete()
    {
        return $this->only(['id']);
    }


    /**
     * @notes 详情场景
     * @return MonitorAlarmValidate
     * @author likeadmin
     * @date 2023/11/24 16:34
     */
    public function sceneDetail()
    {
        return $this->only(['id']);
    }

}