<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\validate\land;


use app\common\validate\BaseValidate;


/**
 * LandPlant验证器
 * Class LandPlantValidate
 * @package app\adminapi\validate\land
 */
class LandPlantValidate extends BaseValidate
{

     /**
      * 设置校验规则
      * @var string[]
      */
    protected $rule = [
        'id' => 'require',
        'land_id' => 'require',
        'kind' => 'require',
        'breed' => 'require',
        'area' => 'require',
        'user' => 'require',
        'remark' => 'require',
        'status' => 'require',
        'pic' => 'require',
        'plant_date' => 'require',
    ];


    /**
     * 参数描述
     * @var string[]
     */
    protected $field = [
        'id' => 'id',
        'land_id' => '土地id',
        'kind' => '种植种类',
        'breed' => '种植品牌',
        'area' => '种植面积',
        'user' => '种植人员',
        'remark' => '备注信息',
        'status' => '生长状态',
        'pic' => '种植图片',
        'plant_date' => '播种时间',
    ];


    /**
     * @notes 添加场景
     * @return LandPlantValidate
     * @author likeadmin
     * @date 2023/11/23 11:32
     */
    public function sceneAdd()
    {
        return $this->only(['land_id','kind','breed','area','user','plant_date']);
    }


    /**
     * @notes 编辑场景
     * @return LandPlantValidate
     * @author likeadmin
     * @date 2023/11/23 11:32
     */
    public function sceneEdit()
    {
        return $this->only(['id','land_id','kind','breed','area','user','plant_date']);
    }


    /**
     * @notes 删除场景
     * @return LandPlantValidate
     * @author likeadmin
     * @date 2023/11/23 11:32
     */
    public function sceneDelete()
    {
        return $this->only(['id']);
    }


    /**
     * @notes 详情场景
     * @return LandPlantValidate
     * @author likeadmin
     * @date 2023/11/23 11:32
     */
    public function sceneDetail()
    {
        return $this->only(['id']);
    }

    /**
     * @notes 溯源场景
     * @return LandPlantValidate
     * @author likeadmin
     * @date 2023/11/23 11:32
     */
    public function sceneSuyuan()
    {
        return $this->only(['id']);
    }

}