<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\api\logic\suyuan_operation;


use app\common\model\suyuan_operation\AnimalOperateAction;
use app\common\model\suyuan_operation\OperationDewormingLog;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * OperationDewormingLog逻辑
 * Class OperationDewormingLogLogic
 * @package app\api\logic\suyuan_operation
 */
class OperationDewormingLogLogic extends BaseLogic
{


    /**
     * @notes 添加
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public static function add(array $params): bool
    {
        Db::startTrans();
        try {

           AnimalOperateAction::create([
                'fence_house_id' => $params['fence_house_id'],
                'animal_info_id' => $params['animal_info_id']??0,
                'type' => 2,
                'type_text'=>'驱虫',
                'detail' => json_encode([
                    'fence_house_id' => $params['fence_house_id'],
                    'animal_info_id' => $params['animal_info_id']??0,
                    'vermifuge_name' => $params['vermifuge_name'],
                    'deworming_date' => $params['deworming_date'],
                    'deworming_method' => $params['deworming_method'],
                    'operator' => $params['operator'],
                    'pic' => $params['pic'],
                    'remark' => $params['remark'],
                ])
            ]);
//            OperationDewormingLog::create([
//                'fence_house_id' => $params['fence_house_id'],
//                'animal_info_id' => $params['animal_info_id']??0,
//                'vermifuge_name' => $params['vermifuge_name'],
//                'deworming_date' => $params['deworming_date'],
//                'deworming_method' => $params['deworming_method'],
//                'operator' => $params['operator'],
//                'pic' => $params['pic'],
//                'remark' => $params['remark'],
//            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 编辑
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public static function edit(array $params): bool
    {
        Db::startTrans();
        try {
            OperationDewormingLog::where('id', $params['id'])->update([
                'fence_house_id' => $params['fence_house_id'],
                'animal_info_id' => $params['animal_info_id']??0,
                'vermifuge_name' => $params['vermifuge_name'],
                'deworming_date' => $params['deworming_date'],
                'deworming_method' => $params['deworming_method'],
                'operator' => $params['operator'],
                'pic' => $params['pic'],
                'remark' => $params['remark'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 删除
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public static function delete(array $params): bool
    {
        return OperationDewormingLog::destroy($params['id']);
    }


    /**
     * @notes 获取详情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public static function detail($params): array
    {
        return OperationDewormingLog::findOrEmpty($params['id'])->toArray();
    }
}